package eu.pozimski.alarmclockconfigurator.ui.elements

import androidx.compose.material.*
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.DateRange
import androidx.compose.material.icons.filled.Menu
import androidx.compose.material.icons.filled.Notifications
import androidx.compose.material.icons.filled.Settings
import androidx.compose.runtime.*
import androidx.navigation.NavController

@Composable
fun NavigationBar(navController: NavController) {
    var expanded by remember {
        mutableStateOf(false)
    }
    TopAppBar(title = { }, navigationIcon = {
        IconButton(onClick = {
            expanded = true
        }) {
            Icon(
                imageVector = Icons.Filled.Menu,
                contentDescription = "Navigation icon"
            )
        }
    })
    DropdownMenu(
        expanded = expanded,
        onDismissRequest = {
            expanded = false
        }
    ) {
        DropdownMenuItem(
            onClick = {
                expanded = false
                navController.navigate("calendar")
            },
            enabled = true
        ) {
            Icon(imageVector = Icons.Filled.DateRange, contentDescription = "Calendar")
            Text(text = "Calendar")
        }
        DropdownMenuItem(
            onClick = {
                expanded = false
                navController.navigate("weekdays")
            },
            enabled = true
        ) {
            Icon(imageVector = Icons.Filled.Notifications, contentDescription = "Weekdays")
            Text(text = "Weekdays")
        }
        DropdownMenuItem(
            onClick = {
                expanded = false
                navController.navigate("settings")
            },
            enabled = true
        ) {
            Icon(imageVector = Icons.Filled.Settings, contentDescription = "Settings")
            Text(text = "Settings")
        }
    }
}