package eu.pozimski.alarmclockconfigurator.ui.elements

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.material.Button
import androidx.compose.material.Text
import androidx.compose.material.TextField
import androidx.compose.runtime.*
import eu.pozimski.alarmclockconfigurator.viewmodels.ConfigurationViewModel

@Composable
fun Settings(configurationViewModel: ConfigurationViewModel) {
    val apiUrl = configurationViewModel.apiUrl.collectAsState()
    var text by remember { mutableStateOf(apiUrl.value) }
    Column(verticalArrangement = Arrangement.Center) {
        Row {
            Text(text = "URL: ")
            TextField(value = text, onValueChange = {
                text = it
            })
        }
        Row {
            Button(onClick = { configurationViewModel.setApiUrl(text) }) {
                Text(text = "Save")
            }
        }

    }
}