package eu.pozimski.alarmclockconfigurator.ui.elements

import android.app.TimePickerDialog
import android.content.DialogInterface
import androidx.compose.runtime.Composable
import androidx.compose.ui.platform.LocalContext

@Composable
fun TimePicker(
    hour: Int,
    minute: Int,
    onTimeSetListener: TimePickerDialog.OnTimeSetListener,
    onDismissListener: DialogInterface.OnDismissListener
) {
    val context = LocalContext.current
    val timePickerDialog = TimePickerDialog(
        context,
        onTimeSetListener, hour, minute, true
    )
    timePickerDialog.setOnDismissListener(onDismissListener)
    timePickerDialog.show()
}