package eu.pozimski.alarmclockconfigurator.ui.elements

import androidx.compose.material.AlertDialog
import androidx.compose.material.Button
import androidx.compose.material.Text
import androidx.compose.material.TextField
import androidx.compose.runtime.*
import eu.pozimski.alarmclockconfigurator.viewmodels.ConfigurationViewModel

@Composable
fun URLPrompt(configurationViewModel: ConfigurationViewModel) {
    var text by remember { mutableStateOf("") }
    AlertDialog(
        onDismissRequest = { },
        text = {
            Text(text = "Please enter the API URL:\n\n")
            TextField(value = text, onValueChange = {
                text = it
            })
        },
        confirmButton = {
            Button(
                onClick = {
                    configurationViewModel.setApiUrl(text)
                },
                content = { Text(text = "OK") })
        }
    )
}