package eu.pozimski.alarmclockconfigurator.viewmodels

import android.content.Context
import androidx.lifecycle.ViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow

class ConfigurationViewModel(context: Context) : ViewModel() {
    private val sharedPreferences = context.getSharedPreferences("settings", Context.MODE_PRIVATE)
    private var _apiUrl = MutableStateFlow(sharedPreferences.getString("api_url", "")!!)
    val apiUrl: StateFlow<String> get() = _apiUrl

    fun setApiUrl(apiUrl: String) {
        val editor = sharedPreferences.edit()
        editor.putString("api_url", apiUrl)
        editor.apply()
        _apiUrl.value = apiUrl
    }


}